<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>vip.xiaonuo</groupId>
        <artifactId>snowy-plugin</artifactId>
        <version>3.0.0</version>
    </parent>

    <artifactId>snowy-plugin-coldchain</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-all</artifactId>
            <version>4.1.45.Final</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/NetDeviceSDKP2_V2_2_7.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-autoconfigure</artifactId>
        </dependency>
        <dependency>
            <groupId>javax.annotation</groupId>
            <artifactId>javax.annotation-api</artifactId>
            <version>1.3.2</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>1.7.32</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-simple</artifactId> <!-- 或者根据实际日志实现替换此依赖 -->
            <version>1.7.32</version>
        </dependency>
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-common</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.jfcloud</groupId>
            <artifactId>jfcloud-boot-starter-influxdb</artifactId>
            <version>K6.6.8</version>
        </dependency>
        <dependency>
            <groupId>cn.dev33</groupId>
            <artifactId>sa-token-core</artifactId>
        </dependency>
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-auth-api</artifactId>
        </dependency>
        <dependency>
            <groupId>vip.xiaonuo</groupId>
            <artifactId>snowy-plugin-sys</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>weixin-java-mp</artifactId>
            <version>4.6.0</version>
        </dependency>
      <dependency>
        <groupId>vip.xiaonuo</groupId>
        <artifactId>snowy-plugin-dev</artifactId>
      </dependency>
    </dependencies>
</project>